=== debian/control ===
Source: ros-one-ros-google-cloud-language
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib-msgs, ros-one-catkin, ros-one-catkin-virtualenv, ros-one-diagnostic-msgs, ros-one-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-ros-google-cloud-language
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-unidecode, ros-one-actionlib-msgs, ros-one-diagnostic-msgs, ros-one-message-runtime, ros-one-rospy
Description: ros clinet library for google cloud language
