## ros-one-ros-google-cloud-language 2.1.31-19jammy.20260116.2056

=== debian/changelog ===
ros-one-ros-google-cloud-language (2.1.31-19jammy.20260116.2056) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jan 2026 20:56:54 +0000
