## ros-one-ros-google-cloud-language 2.1.31-19jammy.20260207.2132

=== debian/changelog ===
ros-one-ros-google-cloud-language (2.1.31-19jammy.20260207.2132) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:32:22 +0000
